> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Reaction

> Send Reaction



## OpenAPI

````yaml openapi-v2 POST /message/sendReaction/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /message/sendReaction/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send Reaction
      description: Send Reaction
      operationId: sendReaction
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: object
                  properties:
                    remoteJid:
                      type: string
                      description: Chat contact or group remote JID
                    fromMe:
                      type: boolean
                      description: If the message was sent by the instance owner or not
                    id:
                      type: string
                      description: Message ID
                reaction:
                  type: string
                  description: Reaction emoji
                  example: 🚀
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: The remote Jid.
                      fromMe:
                        type: boolean
                        description: Indicates whether the message was sent by the user.
                      id:
                        type: string
                        description: The ID of the message.
                    description: >-
                      The key of the message, which identifies the message in
                      the chat.
                  message:
                    type: object
                    properties:
                      reactionMessage:
                        type: object
                        properties:
                          key:
                            type: object
                            properties:
                              remoteJid:
                                type: string
                                description: The remote Jid of the original message.
                              fromMe:
                                type: boolean
                                description: >-
                                  Indicates whether the original message was
                                  sent by the user.
                              id:
                                type: string
                                description: The ID of the original message.
                            description: >-
                              The key of the original message to which the
                              reaction is linked.
                          text:
                            type: string
                            description: The reaction text or emoji.
                          senderTimestampMs:
                            type: string
                            description: >-
                              The timestamp when the reaction was sent, in
                              milliseconds.
                        description: Details of the reaction message.
                    description: >-
                      The message content, which may include various types of
                      messages like text, images, reaction, etc.
                  messageTimestamp:
                    type: string
                    description: The timestamp of the message, represented as a string.
                  status:
                    type: string
                    description: >-
                      The status of the message, such as sent, received, or
                      pending.
                example:
                  key:
                    remoteJid: 553198296801@s.whatsapp.net
                    fromMe: true
                    id: BAE569F0E38F858D
                  message:
                    reactionMessage:
                      key:
                        remoteJid: 553198296801@s.whatsapp.net
                        fromMe: true
                        id: BAE58DA6CBC941BC
                      text: 🚀
                      senderTimestampMs: '1717781105034'
                  messageTimestamp: '1717781105'
                  status: PENDING
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````